/*  ---------------------------------------------------------------------------
    Program  :  MkMplsWeatherData.sas

    Author   :  Perry Watts

    Project  :  N07 Chart Basics
    Path     :  C:\N07\ChartBasics\data\
    Purpose  :  Create data set of celcius temperatures that have negatives
                in them.

    Notes    :  Average monthly temperatures for Mpls St.Paul

    Input    :  cards

    Output   :  n07.MplsWeather

    Revised  :  Press Alt+D
    ------------------------------------------------------------------------  */
 libname n07 "C:\N07\ChartBasics\data";

 proc format;
   value YvNfmt -1=N 1=Y;
 run;
 data n07.MplsWeather;
  length AboveZeroYvN $1;
  input month TF;
  TC=(5/9)*(TF-32);
  AboveZeroYvN=put(TC/abs(TC),YvNfmt.);
  cards;
   1  11.8
   2  17.9
   3  31.0
   4  46.4
   5  58.5
   6  68.2
   7  73.6
   8  70.5
   9  60.5
   10 48.8
   11 33.2
   12 17.9
 run;

 proc print data=n07.MplsWeather;
   title1 'n07.MplsWeather';
   var Month TF TC AboveZeroYvN;
 run;

